=== debian/changelog ===
ros-indigo-moveit-setup-assistant (0.7.14-1trusty) trusty; urgency=high

  * [improvement] skip non-actuated joints for trajectory execution (#753 <https://github.com/ros-planning/moveit/issues/753>)
  * Contributors: Ryan Keating

 -- Dave Coleman <dave@dav.ee>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.13-1trusty) trusty; urgency=high

  * [fix] add moveit_fake_controller_manager to run_depend of moveit_config_pkg_template/package.xml.template (#613 <https://github.com/ros-planning/moveit/issues/613>)
  * [fix] find and link against tinyxml where needed (#569 <https://github.com/ros-planning/moveit/issues/569>)
  * Contributors: Kei Okada, Michael Görner, Mikael Arguedas, William Woodall

 -- Dave Coleman <dave@dav.ee>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.12-1trusty) trusty; urgency=high

  * [enhancement] support loading xacros that use Jade+ extensions on Indigo #540 <https://github.com/ros-planning/moveit/issues/540>
  * Contributors: G.A. vd. Hoorn, v4hn

 -- Ioan Sucan <isucan@gmail.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.10-1trusty) trusty; urgency=high

  * [fix] Build for Ubuntu YZ by adding BOOST_MATH_DISABLE_FLOAT128 (#505 <https://github.com/ros-planning/moveit/issues/505>)
  * [improve][MSA] Open a directory where setup_assistant.launch was started. (#509 <https://github.com/ros-planning/moveit/issues/509>)
  * Contributors: Isaac I.Y. Saito, Mikael Arguedas

 -- Ioan Sucan <isucan@gmail.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.9-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@gmail.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.7-1trusty) trusty; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.6-1trusty) trusty; urgency=high

  * [fix][Indigo] re-enable support for cmake 2.8.11 #391 <https://github.com/ros-planning/moveit/pull/391>
  * Contributors: Michael Goerner

 -- Ioan Sucan <isucan@gmail.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@gmail.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.2-1trusty) trusty; urgency=high

  * [sys] Qt adjustment.
    * relax Qt-version requirement.  Minor Qt version updates are ABI-compatible with each other:  https://wiki.qt.io/Qt-Version-Compatibility
    * auto-select Qt version matching the one from rviz #114 <https://github.com/ros-planning/moveit_setup_assistant/issues/114>
    * Allow to conditionally compile against Qt5 by setting -DUseQt5=On
  * [sys] Add line for supporting CMake 2.8.11 as required for Indigo
  * [sys][travis] Update CI conf for ROS Jade (and optionally added Kinetic) #116 <https://github.com/ros-planning/moveit_setup_assistant/issues/116>
  * [feat] add ApplyPlanningScene capability to template
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Robert Haschke, Simon Schmeisser (isys vision), v4hn

 -- Ioan Sucan <isucan@gmail.com>  Fri, 24 Jun 2016 07:00:00 -0000

ros-indigo-moveit-setup-assistant (0.7.0-1trusty) trusty; urgency=high

  * Merge pull request from ipa-mdl/indigo-devel
    Added command-line SRDF updater
  * renamed target output to collisions_updater
  * formatted code to roscpp style
  * More verbose error descriptions, use ROS_ERROR_STREAM
  * moved file loader helpers into tools
  * added licence header
  * Missed a negation sign
  * CollisionUpdater class was not really needed
  * factored out createFullURDFPath and createFullSRDFPath
  * factored out MoveItConfigData::getSetupAssistantYAMLPath
  * factored out MoveItConfigData::setPackagePath
  * factored out setCollisionLinkPairs into MoveItConfigData
  * require output path to be set if SRDF path is overwritten by a xacro file path
  * separated xacro parsing from loadFileToString
  * make disabled_collisions entries unique
  * Added command-line SRDF updater
  * Merge pull request from 130s/fix/windowsize
    Shrink window height
  * Add scrollbar to the text area that could be squashed.
  * Better minimum window size.
  * Merge pull request #103  from gavanderhoorn/issue102_cfgrble_db_path
    Fix for issue #102 : allow user to set mongodb db location
  * Update warehouse launch file to accept non-standard db location. Fix #102.
    Also update generated demo.launch accordingly.
    The default directory could be located on a non-writable file system, leading
    to crashes of the mongodb wrapper script. This change allows the user to specify
    an alternative location using the 'db_path' argument.
  * Update configuration_files_widget.cpp
    Fix link
  * Contributors: Dave Coleman, Ioan A Sucan, Isaac IY Saito, Mathias Lüdtke, Nathan Bellowe, Sachin Chitta, gavanderhoorn, hersh

 -- Ioan Sucan <isucan@gmail.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-setup-assistant (0.6.0-1trusty) trusty; urgency=high

  * Values are now read from kinematics.yaml correctly.
  * Simplified the inputKinematicsYAML() code.

